# Generated from faraday_error-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name faraday_error

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: A Faraday middleware for adding request parameters to your exception tracker
License: MIT
URL: https://github.com/jelder/faraday_error/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(sinatra) >= 1.4
# BuildRequires: rubygem(sinatra) < 2
# BuildRequires: rubygem(sinatra) >= 1.4.7
# BuildRequires: rubygem(honeybadger) >= 2.4
# BuildRequires: rubygem(honeybadger) < 3
# BuildRequires: rubygem(honeybadger) >= 2.4.1
# BuildRequires: rubygem(newrelic_rpm) >= 3.14
# BuildRequires: rubygem(newrelic_rpm) < 4
# BuildRequires: rubygem(newrelic_rpm) >= 3.14.0
BuildArch: noarch

%description
# FaradayError
[![Gem
Version](https://badge.fury.io/rb/faraday_error.svg)](https://badge.fury.io/rb/faraday_error)
A [Faraday](https://github.com/lostisland/faraday) middleware for adding
request parameters to your exception tracker.
### Supports
- [Honeybadger](https://www.honeybadger.io/)
- [NewRelic](http://newrelic.com/)
- Your favorite thing, as soon as you make a pull request!
## Installation
Add this line to your application's Gemfile:
```ruby
gem 'faraday_error'
```
And then execute:
$ bundle
Or install it yourself as:
$ gem install faraday_error
## Usage
Configure your Faraday connection to use this middleware. You can optionally
specify a name; defaults to `faraday`. It is expected that you also use
`Faraday::Response::RaiseError` somewhere in your stack.
```ruby
connection = Faraday.new(url: 'http://localhost:4567') do |faraday|
faraday.use       FaradayError::Middleware, name: "example_request"
faraday.use       Faraday::Response::RaiseError
faraday.adapter   Faraday.default_adapter
end
```
And that's it. Make a request as you normally would.
```ruby
connection.post do |req|
req.url '/503'
req.headers['Content-Type'] = 'application/json'
req.body = JSON.generate(abc: "xyz")
end
```
If any request fails, Honeybadger's "context" for this error will include your
request parameters. If sending JSON or `application/x-www-form-urlencoded`,
these will be included in parsed form.
```json
{
"example_request": {
"method": "post",
"url": "http://localhost:4567/503",
"request_headers": {
"User-Agent": "Faraday v0.9.2",
"Content-Type": "application/json"
},
"body_length": 13,
"body": {
"abc": "xyz"
}
}
}
```
## Development
After checking out the repo, run `bin/setup` to install dependencies. Then,
run `rake spec` to run the tests. You can also run `bin/console` for an
interactive prompt that will allow you to experiment.
To install this gem onto your local machine, run `bundle exec rake install`.
To release a new version, update the version number in `version.rb`, and then
run `bundle exec rake release`, which will create a git tag for the version,
push git commits and tags, and push the `.gem` file to
[rubygems.org](https://rubygems.org).
The included [RestReflector](../master/spec/rest_reflector.rb) Sinatra app is
suitable for making requests that are guaranteed to fail in particlar ways.
## Contributing
Bug reports and pull requests are welcome on GitHub at
https://github.com/jelder/faraday_error. This project is intended to be a
safe, welcoming space for collaboration, and contributors are expected to
adhere to the [Contributor Covenant](http://contributor-covenant.org) code of
conduct.
## License
The gem is available as open source under the terms of the [MIT
License](http://opensource.org/licenses/MIT).
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/faraday_error.gemspec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.1.1-1
- Initial package
